<?php
declare(strict_types=1);

namespace App\Form;

use App\Entity\ItemExtra;
use Override;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class MenuItemExtraType extends AbstractType
{
    #[Override]
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder->add('name');
        $builder->add(
            'customextra',
            TextType::class,
            [
                'label' => 'Add a new extra option',
                'mapped' => false,
                'required' => false,
                'attr' => [
                    'list' => 'item-extra-list',
                ],
            ],
        );
    }

    #[\Override]
    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => ItemExtra::class,
        ]);
    }
}
